import type { AppProps } from 'next/app'


import { Text } from '@vercel/examples-ui'
import { SpeedInsights } from '@vercel/speed-insights/next'


import '@vercel/examples-ui/globals.css'
import Head from 'next/head'

export default function App({ Component, pageProps }: AppProps) {

  return (
    <>
      <Head>
        <link rel="icon" href="/favicon.ico" sizes="any" />
      </Head>
      <div className="flex flex-col items-center justify-center min-h-screen py-2 bg-gray-50">
        <div className="fixed inset-0 overflow-hidden opacity-75">
          <div
 
          />
        </div>
        <main className="flex flex-col items-center flex-1 px-4 sm:px-20 w-full text-center z-10 py-8 sm:py-20">
          <div>
          <Text variant="h1" className="mb-4">
            Server-side Next.js
          </Text>
          <Text>The images are loaded dynamically.</Text>
          </div>
          
     
          <div className='flex-1 max-w-full'>
            <Component {...pageProps} />
          </div>
          {/* <SpeedInsights /> */}
        </main>
      </div>
</>
  )
}
